Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.element.style
Class OdfGraphicPropertiesElement

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.xerces.dom.ElementNSImpl
                          org.odftoolkit.odfdom.dom.element.OdfElement
                              org.odftoolkit.odfdom.dom.element.OdfStylePropertiesBase
                                  org.odftoolkit.odfdom.dom.element.style.OdfGraphicPropertiesElement

All Implemented Interfaces:
  Serializable, Cloneable, Element, EventTarget, Node, NodeList, TypeInfo

Direct Known Subclasses:
  OdfGraphicProperties

    public abstract class OdfGraphicPropertiesElement

extends OdfStylePropertiesBase

DOM implementation of OpenDocument element style:graphic-properties.

See Also:
  Serialized Form

Field Summary
`static OdfStyleProperty` | `AmbientColor`
`static OdfStyleProperty` | `AnchorPageNumber`
`static OdfStyleProperty` | `AnchorType`
`static OdfStyleProperty` | `Animation`
`static OdfStyleProperty` | `AnimationDelay`
`static OdfStyleProperty` | `AnimationDirection`
`static OdfStyleProperty` | `AnimationRepeat`
`static OdfStyleProperty` | `AnimationStartInside`
`static OdfStyleProperty` | `AnimationSteps`
`static OdfStyleProperty` | `AnimationStopInside`
`static OdfStyleProperty` | `AutoGrowHeight`
`static OdfStyleProperty` | `AutoGrowWidth`
`static OdfStyleProperty` | `BackfaceCulling`
`static OdfStyleProperty` | `BackgroundColor`
`static OdfStyleProperty` | `BackgroundTransparency`
`static OdfStyleProperty` | `BackScale`
`static OdfStyleProperty` | `Blue`
`static OdfStyleProperty` | `Border`
`static OdfStyleProperty` | `BorderBottom`
`static OdfStyleProperty` | `BorderLeft`
`static OdfStyleProperty` | `BorderLineWidth`
`static OdfStyleProperty` | `BorderLineWidthBottom`
`static OdfStyleProperty` | `BorderLineWidthLeft`
`static OdfStyleProperty` | `BorderLineWidthRight`
`static OdfStyleProperty` | `BorderLineWidthTop`
`static OdfStyleProperty` | `BorderRight`
`static OdfStyleProperty` | `BorderTop`
`static OdfStyleProperty` | `CaptionAngle`
`static OdfStyleProperty` | `CaptionAngleType`
`static OdfStyleProperty` | `CaptionEscape`
`static OdfStyleProperty` | `CaptionEscapeDirection`
`static OdfStyleProperty` | `CaptionFitLineLength`
`static OdfStyleProperty` | `CaptionGap`
`static OdfStyleProperty` | `CaptionLineLength`
`static OdfStyleProperty` | `CaptionType`
`static OdfStyleProperty` | `Clip`
`static OdfStyleProperty` | `CloseBack`
`static OdfStyleProperty` | `CloseFront`
`static OdfStyleProperty` | `ColorInversion`
`static OdfStyleProperty` | `ColorMode`
`static OdfStyleProperty` | `Contrast`
`static OdfStyleProperty` | `DecimalPlaces`
`static OdfStyleProperty` | `Depth`
`static OdfStyleProperty` | `DiffuseColor`
`static OdfStyleProperty` | `DrawAspect`
`static OdfStyleProperty` | `EdgeRounding`
`static OdfStyleProperty` | `EdgeRoundingMode`
`static OdfStyleProperty` | `Editable`
`static OdfName` | `ELEMENT_NAME`
`static OdfStyleProperty` | `EmissiveColor`
`static OdfStyleProperty` | `EndAngle`
`static OdfStyleProperty` | `EndGuide`
`static OdfStyleProperty` | `EndLineSpacingHorizontal`
`static OdfStyleProperty` | `EndLineSpacingVertical`
`static OdfStyleProperty` | `Fill`
`static OdfStyleProperty` | `FillColor`
`static OdfStyleProperty` | `FillGradientName`
`static OdfStyleProperty` | `FillHatchName`
`static OdfStyleProperty` | `FillHatchSolid`
`static OdfStyleProperty` | `FillImageHeight`
`static OdfStyleProperty` | `FillImageName`
`static OdfStyleProperty` | `FillImageRefPoint`
`static OdfStyleProperty` | `FillImageRefPointX`
`static OdfStyleProperty` | `FillImageRefPointY`
`static OdfStyleProperty` | `FillImageWidth`
`static OdfStyleProperty` | `FillRule`
`static OdfStyleProperty` | `FitToContour`
`static OdfStyleProperty` | `FitToSize`
`static OdfStyleProperty` | `FlowWithText`
`static OdfStyleProperty` | `FrameDisplayBorder`
`static OdfStyleProperty` | `FrameDisplayScrollbar`
`static OdfStyleProperty` | `FrameMarginHorizontal`
`static OdfStyleProperty` | `FrameMarginVertical`
`static OdfStyleProperty` | `Gamma`
`static OdfStyleProperty` | `GradientStepCount`
`static OdfStyleProperty` | `Green`
`static OdfStyleProperty` | `GuideDistance`
`static OdfStyleProperty` | `GuideOverhang`
`static OdfStyleProperty` | `Height`
`static OdfStyleProperty` | `HorizontalPos`
`static OdfStyleProperty` | `HorizontalRel`
`static OdfStyleProperty` | `HorizontalSegments`
`static OdfStyleProperty` | `ImageOpacity`
`static OdfStyleProperty` | `LightingMode`
`static OdfStyleProperty` | `LineDistance`
`static OdfStyleProperty` | `Luminance`
`static OdfStyleProperty` | `Margin`
`static OdfStyleProperty` | `MarginBottom`
`static OdfStyleProperty` | `MarginLeft`
`static OdfStyleProperty` | `MarginRight`
`static OdfStyleProperty` | `MarginTop`
`static OdfStyleProperty` | `MarkerEnd`
`static OdfStyleProperty` | `MarkerEndCenter`
`static OdfStyleProperty` | `MarkerEndWidth`
`static OdfStyleProperty` | `MarkerStart`
`static OdfStyleProperty` | `MarkerStartCenter`
`static OdfStyleProperty` | `MarkerStartWidth`
`static OdfStyleProperty` | `MaxHeight`
`static OdfStyleProperty` | `MaxWidth`
`static OdfStyleProperty` | `MeasureAlign`
`static OdfStyleProperty` | `MeasureVerticalAlign`
`static OdfStyleProperty` | `MinHeight`
`static OdfStyleProperty` | `MinWidth`
`static OdfStyleProperty` | `Mirror`
`static OdfStyleProperty` | `NormalsDirection`
`static OdfStyleProperty` | `NormalsKind`
`static OdfStyleProperty` | `NumberWrappedParagraphs`
`static OdfStyleProperty` | `OleDrawAspect`
`static OdfStyleProperty` | `Opacity`
`static OdfStyleProperty` | `OpacityName`
`static OdfStyleProperty` | `OverflowBehavior`
`static OdfStyleProperty` | `Padding`
`static OdfStyleProperty` | `PaddingBottom`
`static OdfStyleProperty` | `PaddingLeft`
`static OdfStyleProperty` | `PaddingRight`
`static OdfStyleProperty` | `PaddingTop`
`static OdfStyleProperty` | `Parallel`
`static OdfStyleProperty` | `Placing`
`static OdfStyleProperty` | `PrintContent`
`static OdfStyleProperty` | `Protect`
`static OdfStyleProperty` | `Red`
`static OdfStyleProperty` | `RelHeight`
`static OdfStyleProperty` | `RelWidth`
`static OdfStyleProperty` | `Repeat`
`static OdfStyleProperty` | `RunThrough`
`static OdfStyleProperty` | `SecondaryFillColor`
`static OdfStyleProperty` | `Shadow`
`static OdfStyleProperty` | `Shadow3d`
`static OdfStyleProperty` | `ShadowColor`
`static OdfStyleProperty` | `ShadowDraw`
`static OdfStyleProperty` | `ShadowOffsetX`
`static OdfStyleProperty` | `ShadowOffsetY`
`static OdfStyleProperty` | `ShadowOpacity`
`static OdfStyleProperty` | `Shininess`
`static OdfStyleProperty` | `ShowUnit`
`static OdfStyleProperty` | `ShrinkToFit`
`static OdfStyleProperty` | `SpecularColor`
`static OdfStyleProperty` | `StartGuide`
`static OdfStyleProperty` | `StartLineSpacingHorizontal`
`static OdfStyleProperty` | `StartLineSpacingVertical`
`static OdfStyleProperty` | `Stroke`
`static OdfStyleProperty` | `StrokeColor`
`static OdfStyleProperty` | `StrokeDash`
`static OdfStyleProperty` | `StrokeDashNames`
`static OdfStyleProperty` | `StrokeLinecap`
`static OdfStyleProperty` | `StrokeLinejoin`
`static OdfStyleProperty` | `StrokeOpacity`
`static OdfStyleProperty` | `StrokeWidth`
`static OdfStyleProperty` | `SymbolColor`
`static OdfStyleProperty` | `TextareaHorizontalAlign`
`static OdfStyleProperty` | `TextareaVerticalAlign`
`static OdfStyleProperty` | `TextureFilter`
`static OdfStyleProperty` | `TextureGenerationModeX`
`static OdfStyleProperty` | `TextureGenerationModeY`
`static OdfStyleProperty` | `TextureKind`
`static OdfStyleProperty` | `TextureMode`
`static OdfStyleProperty` | `TileRepeatOffset`
`static OdfStyleProperty` | `Unit`
`static OdfStyleProperty` | `VerticalPos`
`static OdfStyleProperty` | `VerticalRel`
`static OdfStyleProperty` | `VerticalSegments`
`static OdfStyleProperty` | `VisibleAreaHeight`
`static OdfStyleProperty` | `VisibleAreaLeft`
`static OdfStyleProperty` | `VisibleAreaTop`
`static OdfStyleProperty` | `VisibleAreaWidth`
`static OdfStyleProperty` | `Width`
`static OdfStyleProperty` | `Wrap`
`static OdfStyleProperty` | `WrapContour`
`static OdfStyleProperty` | `WrapContourMode`
`static OdfStyleProperty` | `WrapDynamicThreshold`
`static OdfStyleProperty` | `WrapInfluenceOnPosition`
`static OdfStyleProperty` | `WrapOption`
`static OdfStyleProperty` | `WritingMode`
`static OdfStyleProperty` | `X`
`static OdfStyleProperty` | `Y`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`mOdfDocument`

Fields inherited from class org.apache.xerces.dom.ElementNSImpl
`localName, namespaceURI`

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`OdfGraphicPropertiesElement(OdfFileDom aOwnerDoc)` Create the instance of OdfGraphicPropertiesElement

Method Summary
`OdfBinaryDataElement` | `createBinaryDataElement()` Create child element office:binary-data.
`OdfColumnElement` | `createColumnElement(String relWidth)` Create child element style:column.
`OdfColumnSepElement` | `createColumnSepElement(OdfLength width)` Create child element style:column-sep.
`OdfListStyleElement` | `createListStyleElement(OdfStyleName name)` Create child element text:list-style.
`OdfName` | `getOdfName()` Get the element name

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfStylePropertiesBase
`hashCode`

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`cloneNode, equals, findFirstChildNode, findNextChildNode, findPreviousChildNode, getAncestorAs, getOdfAttribute, getParentAs, hasOdfAttribute, insertBefore, onInsertNode, onInsertNode, onRemoveNode, onRemoveNode, removeChild, replaceChild, setOdfAttribute, toString`

Methods inherited from class org.apache.xerces.dom.ElementNSImpl
`getBaseURI, getLocalName, getNamespaceURI, getPrefix, getTypeName, getTypeNamespace, isDerivedFrom, setPrefix, setType, setValues`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, item, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getNodeNumber, getNodeValue, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setUserData, setUserData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasChildNodes, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, setNodeValue, setTextContent, setUserData`

Field Detail

### ELEMENT_NAME

    public static final OdfName ELEMENT_NAME

### Stroke

    public static final OdfStyleProperty Stroke

### StrokeDash

    public static final OdfStyleProperty StrokeDash

### StrokeDashNames

    public static final OdfStyleProperty StrokeDashNames

### StrokeWidth

    public static final OdfStyleProperty StrokeWidth

### StrokeColor

    public static final OdfStyleProperty StrokeColor

### MarkerStart

    public static final OdfStyleProperty MarkerStart

### MarkerEnd

    public static final OdfStyleProperty MarkerEnd

### MarkerStartWidth

    public static final OdfStyleProperty MarkerStartWidth

### MarkerEndWidth

    public static final OdfStyleProperty MarkerEndWidth

### MarkerStartCenter

    public static final OdfStyleProperty MarkerStartCenter

### MarkerEndCenter

    public static final OdfStyleProperty MarkerEndCenter

### StrokeOpacity

    public static final OdfStyleProperty StrokeOpacity

### StrokeLinejoin

    public static final OdfStyleProperty StrokeLinejoin

### StrokeLinecap

    public static final OdfStyleProperty StrokeLinecap

### SymbolColor

    public static final OdfStyleProperty SymbolColor

### Animation

    public static final OdfStyleProperty Animation

### AnimationDirection

    public static final OdfStyleProperty AnimationDirection

### AnimationStartInside

    public static final OdfStyleProperty AnimationStartInside

### AnimationStopInside

    public static final OdfStyleProperty AnimationStopInside

### AnimationRepeat

    public static final OdfStyleProperty AnimationRepeat

### AnimationDelay

    public static final OdfStyleProperty AnimationDelay

### AnimationSteps

    public static final OdfStyleProperty AnimationSteps

### AutoGrowWidth

    public static final OdfStyleProperty AutoGrowWidth

### AutoGrowHeight

    public static final OdfStyleProperty AutoGrowHeight

### FitToSize

    public static final OdfStyleProperty FitToSize

### FitToContour

    public static final OdfStyleProperty FitToContour

### TextareaVerticalAlign

    public static final OdfStyleProperty TextareaVerticalAlign

### TextareaHorizontalAlign

    public static final OdfStyleProperty TextareaHorizontalAlign

### WrapOption

    public static final OdfStyleProperty WrapOption

### ShrinkToFit

    public static final OdfStyleProperty ShrinkToFit

### ColorMode

    public static final OdfStyleProperty ColorMode

### ColorInversion

    public static final OdfStyleProperty ColorInversion

### Luminance

    public static final OdfStyleProperty Luminance

### Contrast

    public static final OdfStyleProperty Contrast

### Gamma

    public static final OdfStyleProperty Gamma

### Red

    public static final OdfStyleProperty Red

### Green

    public static final OdfStyleProperty Green

### Blue

    public static final OdfStyleProperty Blue

### ImageOpacity

    public static final OdfStyleProperty ImageOpacity

### ShadowDraw

    public static final OdfStyleProperty ShadowDraw

### ShadowOffsetX

    public static final OdfStyleProperty ShadowOffsetX

### ShadowOffsetY

    public static final OdfStyleProperty ShadowOffsetY

### ShadowColor

    public static final OdfStyleProperty ShadowColor

### ShadowOpacity

    public static final OdfStyleProperty ShadowOpacity

### StartLineSpacingHorizontal

    public static final OdfStyleProperty StartLineSpacingHorizontal

### StartLineSpacingVertical

    public static final OdfStyleProperty StartLineSpacingVertical

### EndLineSpacingHorizontal

    public static final OdfStyleProperty EndLineSpacingHorizontal

### EndLineSpacingVertical

    public static final OdfStyleProperty EndLineSpacingVertical

### LineDistance

    public static final OdfStyleProperty LineDistance

### GuideOverhang

    public static final OdfStyleProperty GuideOverhang

### GuideDistance

    public static final OdfStyleProperty GuideDistance

### StartGuide

    public static final OdfStyleProperty StartGuide

### EndGuide

    public static final OdfStyleProperty EndGuide

### Placing

    public static final OdfStyleProperty Placing

### Parallel

    public static final OdfStyleProperty Parallel

### MeasureAlign

    public static final OdfStyleProperty MeasureAlign

### MeasureVerticalAlign

    public static final OdfStyleProperty MeasureVerticalAlign

### Unit

    public static final OdfStyleProperty Unit

### ShowUnit

    public static final OdfStyleProperty ShowUnit

### DecimalPlaces

    public static final OdfStyleProperty DecimalPlaces

### CaptionType

    public static final OdfStyleProperty CaptionType

### CaptionAngleType

    public static final OdfStyleProperty CaptionAngleType

### CaptionAngle

    public static final OdfStyleProperty CaptionAngle

### CaptionGap

    public static final OdfStyleProperty CaptionGap

### CaptionEscapeDirection

    public static final OdfStyleProperty CaptionEscapeDirection

### CaptionEscape

    public static final OdfStyleProperty CaptionEscape

### CaptionLineLength

    public static final OdfStyleProperty CaptionLineLength

### CaptionFitLineLength

    public static final OdfStyleProperty CaptionFitLineLength

### HorizontalSegments

    public static final OdfStyleProperty HorizontalSegments

### VerticalSegments

    public static final OdfStyleProperty VerticalSegments

### EdgeRounding

    public static final OdfStyleProperty EdgeRounding

### EdgeRoundingMode

    public static final OdfStyleProperty EdgeRoundingMode

### BackScale

    public static final OdfStyleProperty BackScale

### Depth

    public static final OdfStyleProperty Depth

### BackfaceCulling

    public static final OdfStyleProperty BackfaceCulling

### EndAngle

    public static final OdfStyleProperty EndAngle

### CloseFront

    public static final OdfStyleProperty CloseFront

### CloseBack

    public static final OdfStyleProperty CloseBack

### LightingMode

    public static final OdfStyleProperty LightingMode

### NormalsKind

    public static final OdfStyleProperty NormalsKind

### NormalsDirection

    public static final OdfStyleProperty NormalsDirection

### TextureGenerationModeX

    public static final OdfStyleProperty TextureGenerationModeX

### TextureGenerationModeY

    public static final OdfStyleProperty TextureGenerationModeY

### TextureKind

    public static final OdfStyleProperty TextureKind

### TextureFilter

    public static final OdfStyleProperty TextureFilter

### TextureMode

    public static final OdfStyleProperty TextureMode

### AmbientColor

    public static final OdfStyleProperty AmbientColor

### EmissiveColor

    public static final OdfStyleProperty EmissiveColor

### SpecularColor

    public static final OdfStyleProperty SpecularColor

### DiffuseColor

    public static final OdfStyleProperty DiffuseColor

### Shininess

    public static final OdfStyleProperty Shininess

### Shadow3d

    public static final OdfStyleProperty Shadow3d

### Width

    public static final OdfStyleProperty Width

### Height

    public static final OdfStyleProperty Height

### RelWidth

    public static final OdfStyleProperty RelWidth

### RelHeight

    public static final OdfStyleProperty RelHeight

### MinWidth

    public static final OdfStyleProperty MinWidth

### MinHeight

    public static final OdfStyleProperty MinHeight

### MaxHeight

    public static final OdfStyleProperty MaxHeight

### MaxWidth

    public static final OdfStyleProperty MaxWidth

### MarginLeft

    public static final OdfStyleProperty MarginLeft

### MarginRight

    public static final OdfStyleProperty MarginRight

### MarginTop

    public static final OdfStyleProperty MarginTop

### MarginBottom

    public static final OdfStyleProperty MarginBottom

### Margin

    public static final OdfStyleProperty Margin

### PrintContent

    public static final OdfStyleProperty PrintContent

### Protect

    public static final OdfStyleProperty Protect

### HorizontalPos

    public static final OdfStyleProperty HorizontalPos

### X

    public static final OdfStyleProperty X

### HorizontalRel

    public static final OdfStyleProperty HorizontalRel

### VerticalPos

    public static final OdfStyleProperty VerticalPos

### Y

    public static final OdfStyleProperty Y

### VerticalRel

    public static final OdfStyleProperty VerticalRel

### AnchorType

    public static final OdfStyleProperty AnchorType

### AnchorPageNumber

    public static final OdfStyleProperty AnchorPageNumber

### Border

    public static final OdfStyleProperty Border

### BorderTop

    public static final OdfStyleProperty BorderTop

### BorderBottom

    public static final OdfStyleProperty BorderBottom

### BorderLeft

    public static final OdfStyleProperty BorderLeft

### BorderRight

    public static final OdfStyleProperty BorderRight

### BorderLineWidth

    public static final OdfStyleProperty BorderLineWidth

### BorderLineWidthTop

    public static final OdfStyleProperty BorderLineWidthTop

### BorderLineWidthBottom

    public static final OdfStyleProperty BorderLineWidthBottom

### BorderLineWidthLeft

    public static final OdfStyleProperty BorderLineWidthLeft

### BorderLineWidthRight

    public static final OdfStyleProperty BorderLineWidthRight

### Padding

    public static final OdfStyleProperty Padding

### PaddingTop

    public static final OdfStyleProperty PaddingTop

### PaddingBottom

    public static final OdfStyleProperty PaddingBottom

### PaddingLeft

    public static final OdfStyleProperty PaddingLeft

### PaddingRight

    public static final OdfStyleProperty PaddingRight

### Shadow

    public static final OdfStyleProperty Shadow

### BackgroundColor

    public static final OdfStyleProperty BackgroundColor

### BackgroundTransparency

    public static final OdfStyleProperty BackgroundTransparency

### Editable

    public static final OdfStyleProperty Editable

### Wrap

    public static final OdfStyleProperty Wrap

### WrapDynamicThreshold

    public static final OdfStyleProperty WrapDynamicThreshold

### NumberWrappedParagraphs

    public static final OdfStyleProperty NumberWrappedParagraphs

### WrapContour

    public static final OdfStyleProperty WrapContour

### WrapContourMode

    public static final OdfStyleProperty WrapContourMode

### RunThrough

    public static final OdfStyleProperty RunThrough

### FlowWithText

    public static final OdfStyleProperty FlowWithText

### OverflowBehavior

    public static final OdfStyleProperty OverflowBehavior

### Mirror

    public static final OdfStyleProperty Mirror

### Clip

    public static final OdfStyleProperty Clip

### WrapInfluenceOnPosition

    public static final OdfStyleProperty WrapInfluenceOnPosition

### WritingMode

    public static final OdfStyleProperty WritingMode

### FrameDisplayScrollbar

    public static final OdfStyleProperty FrameDisplayScrollbar

### FrameDisplayBorder

    public static final OdfStyleProperty FrameDisplayBorder

### FrameMarginHorizontal

    public static final OdfStyleProperty FrameMarginHorizontal

### FrameMarginVertical

    public static final OdfStyleProperty FrameMarginVertical

### VisibleAreaLeft

    public static final OdfStyleProperty VisibleAreaLeft

### VisibleAreaTop

    public static final OdfStyleProperty VisibleAreaTop

### VisibleAreaWidth

    public static final OdfStyleProperty VisibleAreaWidth

### VisibleAreaHeight

    public static final OdfStyleProperty VisibleAreaHeight

### DrawAspect

    public static final OdfStyleProperty DrawAspect

### OleDrawAspect

    public static final OdfStyleProperty OleDrawAspect

### Fill

    public static final OdfStyleProperty Fill

### FillColor

    public static final OdfStyleProperty FillColor

### SecondaryFillColor

    public static final OdfStyleProperty SecondaryFillColor

### FillGradientName

    public static final OdfStyleProperty FillGradientName

### GradientStepCount

    public static final OdfStyleProperty GradientStepCount

### FillHatchName

    public static final OdfStyleProperty FillHatchName

### FillHatchSolid

    public static final OdfStyleProperty FillHatchSolid

### FillImageName

    public static final OdfStyleProperty FillImageName

### Repeat

    public static final OdfStyleProperty Repeat

### FillImageWidth

    public static final OdfStyleProperty FillImageWidth

### FillImageHeight

    public static final OdfStyleProperty FillImageHeight

### FillImageRefPointX

    public static final OdfStyleProperty FillImageRefPointX

### FillImageRefPointY

    public static final OdfStyleProperty FillImageRefPointY

### FillImageRefPoint

    public static final OdfStyleProperty FillImageRefPoint

### TileRepeatOffset

    public static final OdfStyleProperty TileRepeatOffset

### Opacity

    public static final OdfStyleProperty Opacity

### OpacityName

    public static final OdfStyleProperty OpacityName

### FillRule

    public static final OdfStyleProperty FillRule

Constructor Detail

### OdfGraphicPropertiesElement

    public OdfGraphicPropertiesElement(OdfFileDom aOwnerDoc)

  Create the instance of OdfGraphicPropertiesElement

  Parameters:
    `aOwnerDoc` - The type is OdfFileDom

Method Detail

### getOdfName

    public OdfName getOdfName()

  Get the element name

  Specified by:
    `getOdfName` in class `OdfElement`
  Returns:
    return the name of element style:graphic-properties.

### createListStyleElement

    public OdfListStyleElement createListStyleElement(OdfStyleName name)

  Create child element text:list-style.

  Parameters:
    `name` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfStyleName
  Returns:
    return the element text:list-style

### createBinaryDataElement

    public OdfBinaryDataElement createBinaryDataElement()

  Create child element office:binary-data.

  Returns:
    return the element office:binary-data

### createColumnSepElement

    public OdfColumnSepElement createColumnSepElement(OdfLength width)

  Create child element style:column-sep.

  Parameters:
    `width` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfLength
  Returns:
    return the element style:column-sep

### createColumnElement

    public OdfColumnElement createColumnElement(String relWidth)

  Create child element style:column.

  Parameters:
    `relWidth` - String
  Returns:
    return the element style:column

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.